Subject: Re: [PATCH 4/16] powerpc: Allow duplicate lmb_reserve() calls

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 14 Feb 2007 07:44:14 +1100

> This might indicate that two things actually want to use the same memory
> region.  How about we print a warning?

I don't think so. If we want to print that sort of warning, I'd rather
do it in the code that creates the reserve map (not in the kernel) or if
the reserve map has overlapping but not identical entries.

There are various cases where we used to rely on things being in the
reserve map and that the kernel "knows" how to reserve itself (like the
initrd typically) where warnings would just be confusing.

Ben.